<?php

namespace ReloadifyScoped\Doctrine\DBAL\Driver;

use ReloadifyScoped\Doctrine\DBAL\Connection;
use ReloadifyScoped\Doctrine\DBAL\Driver;
use ReloadifyScoped\Doctrine\DBAL\Driver\DriverException as TheDriverException;
use ReloadifyScoped\Doctrine\DBAL\Exception\DriverException;
use ReloadifyScoped\Doctrine\DBAL\Platforms\DB2Platform;
use ReloadifyScoped\Doctrine\DBAL\Schema\DB2SchemaManager;
/**
 * Abstract base implementation of the {@link Driver} interface for IBM DB2 based drivers.
 */
abstract class AbstractDB2Driver implements Driver
{
    /**
     * {@inheritdoc}
     *
     * @deprecated Use Connection::getDatabase() instead.
     */
    public function getDatabase(Connection $conn)
    {
        $params = $conn->getParams();
        return $params['dbname'];
    }
    /**
     * {@inheritdoc}
     */
    public function getDatabasePlatform()
    {
        return new DB2Platform();
    }
    /**
     * {@inheritdoc}
     */
    public function getSchemaManager(Connection $conn)
    {
        return new DB2SchemaManager($conn);
    }
    /**
     * @param string $message
     *
     * @return DriverException
     */
    public function convertException($message, TheDriverException $exception)
    {
        return new DriverException($message, $exception);
    }
}
